# Dadou - 2.2-0.beta1.0.3mdk - Define macro used to control build options for
#                              each LMDK distributions
%define buildfor $(awk '{print $4}' /etc/mandrake-release)
%{expand:%%define buildfor7_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 7.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}

# Dadou - 2.2-0.beta1.0.3mdk - Define if we build a stable release or not
#                              0 = stable
#                              1 = unstable
%define unstable 0

Name:		kdebindings
Summary: 	Kdebindings
Version: 	2.2.1
Release: 	2mdk

Source0: 	%{name}-%{version}.tar.bz2

License:  	GPL
Group: 		Graphical desktop/KDE
BuildRoot: 	%_tmppath/%name-%version-%release-root

%if %buildfor7_2
BuildRequires:	gcc-c++ libqt2-devel
%endif

%if %buildfor8_0
BuildRequires:	gcc-c++ libqt2-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++ libqt2-devel
%endif


%description
kdebindings


%package devel
Summary:	Header files for kdebindings
Group:		Development/KDE and QT
PreReq:		%name = %version-%release

%description devel
Header files for kdebindings.


%package static-devel
Summary:	Static libraries for kdebindings
Group:		Graphical desktop/KDE
PreReq:		%name-devel = %version-%release

%description static-devel
Static libraries for kdebindings.


%prep


%setup  -q

%build
%if %unstable
make -f Makefile.cvs
%endif

if [ %buildfor = 7.2 ] || [ %buildfor = 8.0 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
		    --enable-final \
		    --enable-shared \
		    --enable-static \
		    --disable-mt \
		    --with-sdl-prefix=%_prefix \
	            --disable-rpath \
		    --without-java
fi

if [ %buildfor = 8.1 ]; then
CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --build=%_target_platform \
%if %unstable
                    --enable-debug \
%else
                    --disable-debug \
%endif
                    --enable-final \
                    --enable-shared \
                    --enable-static \
                    --with-xinerama \
                    --disable-mt \
                    --with-sdl-prefix=%_prefix \
                    --disable-rpath \
		    --without-java
fi

%make


%install
rm -fr %buildroot

# Dadou - 2.2-0.beta1.1mdk - Don't strip when we are not in final release
%if %unstable
export DONT_STRIP=1
%endif

make install prefix=%buildroot/%_prefix


%clean
rm -fr %buildroot

%post -p /sbin/ldconfig
 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_bindir/*
#
#
#
%_libdir/*.la
#
%_libdir/*.so*
#
#
#
%dir %_datadir/services/
%_datadir/services/*.desktop



%files devel
%defattr(-,root,root,-)
%dir %_includedir/dcopc/
%_includedir/dcopc/*.h
#
%dir %_includedir/xkparts/
%_includedir/xkparts/*.h


%files static-devel
%defattr(-,root,root,-)
%_libdir/*.a


%changelog
* Sat Sep 21 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-2mdk
- Remove update-menu/clean-menu (there is not menu file in this package)

* Wed Sep 19 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2.1-1mdk
- kde 2.2.1

* Fri Aug 31 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-3mdk
- Fix build requires

* Fri Aug 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-2mdk
- Rebuild with new kdelibs

* Wed Aug 08 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-1mdk
- kde 2.2

* Thu Jun 28 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2-0.beta1.1mdk
- KDE 2.2.beta1
- Rewrite %%files sections

* Tue May 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 2.2-0.alpha2.1mdk
- kde2.2alpha2
